Retrieves the EUI goal for a specific place
Use this endpoint to get the EUI (Energy Use Intensity) goal configured for a building or place.
Returns the target value, baseline year, and current progress toward the goal.
For all goals in a hierarchy, use GET /eui/goals/topmost/{topmostPlaceId}.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| placeId | Unique numeric identifier of the place | integer (int32) | Required |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
EUIGoalResponseV202604
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| baseYear | The base year for this EUI goal, which is used as the basis for calculating the EUI reduction percentage. | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| baseYearEUI | The EUI for this goal’s place in the selected base year. Null if the EUI is not available for the base year. | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| baseYearUse | The total energy use for this goal’s place in the selected base year. Null if the energy use is not available for the base year. | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| createdBy | UserChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| createdByWatts | Gets or sets a value indicating whether the goal was created by Watts. | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| energyProjectCount | The number of energy projects associated with this goal’s place. | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| euiGoalId | The identifier for the EUI goal. | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| milestones | A list of milestones associated with this EUI goal. | EUIGoalMilestoneResponseV202604[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
EUIGoalMilestoneResponseV202604 properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| place | EUIGoalPlaceDataV202604 | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
EUIGoalPlaceDataV202604 properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| wattsCreatedDate | Gets or sets the date and time when the goal was created by Watts. | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| wattsModifiedDate | Gets or sets the date and time when the goal was last modified by Watts. | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "baseYear": 1, "baseYearEUI": 1.0, "baseYearUse": 1.0, "createdBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "createdByWatts": false, "energyProjectCount": 1, "euiGoalId": 1, "milestones": [
{ "actualEUI": 1.0, "actualEUIReductionPercentage": 1.0, "euiGoalMilestoneId": 1, "targetEUI": 1.0, "targetReductionPercentage": 1.0, "targetYear": 1
}
], "place": { "buildDate": "2026-06-18", "isDataRolledUp": false, "parent": { "isDataRolledUp": false, "placeCode": "string", "placeId": 1, "placeInfo": "string", "placeType": {}
}, "placeCode": "string", "placeId": 1, "placeInfo": "string", "placeSize": { "beginDate": "2026-06-18", "endDate": "2026-06-18", "placeSizeId": 1, "unitCode": "string", "unitId": 1, "unitInfo": "string", "value": 1.0
}, "placeType": { "icon": {}, "isSystemPlaceType": false, "placeEntityType": {}, "placeTypeCode": "string", "placeTypeId": 1, "placeTypeInfo": "string", "structure": false
}, "primaryUse": { "primaryUseCode": "string", "primaryUseId": 1, "primaryUseInfo": "string"
}
}, "wattsCreatedDate": "2026-06-18", "wattsModifiedDate": "2026-06-18"
}